Can not link abinit to ELPA libraries.

External optional components of Abinit (BigDFT, Wannier90, ...) and codes using / providing data from / to Abinit (AtomPAW, EXC, DP, SAX, WanT, Yambo, ...).

Moderator: rangel

Post Reply
kinsang
Posts: 13
Joined: Wed Mar 23, 2016 2:24 pm

Can not link abinit to ELPA libraries.

Post by kinsang » Sat Apr 16, 2016 11:51 am

Hi,
I have successfully build ELPA libraries and it passed all the tests.
But I can not link it to the abinit, the configure message shows ELPA not found!
Have anyone successfully linked it?

The .ac I wrote:

with_linalg_flavor="mkl+elpa"
with_linalg_incs="-I/public/soft/intel/compilers_and_libraries_2016.2.181/linux/mkl/include -I/public/home/kinsang/elpa-mmpi/include/elpa-2015.11.001/modules"
with_linalg_libs="-L/public/soft/intel/compilers_and_libraries_2016.2.181/linux/mkl/lib/intel64 -lmkl_core -L/public/home/kinsang/elpa-mmpi/lib -lelpa"

The configure log:
==============================================================================
=== Feature triggers ===
==============================================================================

configure: using tarball repository /public/home/kinsang/.abinit/tarballs
checking for the requested linear algebra support... mkl+elpa
checking whether to select a fallback for linear algebra... no
checking for BLAS support in specified libraries... yes
checking for AXPBY support in specified BLAS libraries... yes
checking for gemm3m in specified libraries... yes
checking for mkl_imatcopy in specified libraries... yes
checking for mkl_omatcopy in specified libraries... yes
checking for mkl_omatadd in specified libraries... yes
checking for LAPACK support in specified libraries... yes
checking for LAPACKE C API support in specified libraries... no
checking for BLACS support in specified libraries... yes
checking for ScaLAPACK support in specified libraries... yes
checking for ELPA support in specified libraries... no
checking for PLASMA support in specified libraries... no
checking for MAGMA (version>=1.1.0) support in specified libraries... no






Btw I have passed all the ELPA tests:

make check-TESTS
make[1]: Entering directory `/public/home/kinsang/workdir/elpa-2015.11.001'
make[2]: Entering directory `/public/home/kinsang/workdir/elpa-2015.11.001'
PASS: elpa1_test_real.sh
PASS: elpa1_test_real_with_c.sh
PASS: elpa1_test_real_c_version.sh
PASS: elpa1_test_complex_c_version.sh
PASS: elpa2_test_real_c_version.sh
PASS: elpa2_test_complex_c_version.sh
PASS: elpa2_test_real.sh
PASS: elpa2_test_real_default_kernel.sh
PASS: elpa1_test_complex.sh
PASS: elpa2_test_complex.sh
PASS: elpa2_test_complex_default_kernel.sh
PASS: elpa2_test_real_default_kernel_qr_decomposition.sh
PASS: elpa2_test_real_choose_kernel_with_api.sh
PASS: elpa2_test_complex_choose_kernel_with_api.sh
PASS: elpa2_print_kernels
============================================================================
Testsuite summary for elpa 2015.11.001
============================================================================
# TOTAL: 15
# PASS: 15
# SKIP: 0
# XFAIL: 0
# FAIL: 0
# XPASS: 0
# ERROR: 0
============================================================================
make[2]: Leaving directory `/public/home/kinsang/workdir/elpa-2015.11.001'
make[1]: Leaving directory `/public/home/kinsang/workdir/elpa-2015.11.001'

User avatar
pouillon
Posts: 651
Joined: Wed Aug 19, 2009 10:08 am
Location: Spain
Contact:

Re: Can not link abinit to ELPA libraries.

Post by pouillon » Mon Apr 18, 2016 10:27 pm

We have identified a few bugs in the detection of linear algebra, that will be fixed in the upcoming 8.0 and 8.2 versions of Abinit.

In the meantime, you may try the following:

Code: Select all

../configure [your options] \
  CPPFLAGS_EXTRA="-DHAVE_LINALG_ELPA -DHAVE_LINALG_ELPA_2015" \
  FPPFLAGS_EXTRA="-DHAVE_LINALG_ELPA -DHAVE_LINALG_ELPA_2015"
Yann Pouillon
Simune Atomistics
Donostia-San Sebastián, Spain

Post Reply